﻿using Docentric.Documents.ObjectModel;
using Docentric.Documents.Reporting;
using EvalReport;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Reporting
{
    class Program
    {
        static void Main(string[] args)
        {
            string document = "Eval.xps";
            string template = @"..\..\EvalReportTemplate.docx";

            var viewModel = new EvalReportViewModel();
            DocumentGenerator dg = new DocumentGenerator(viewModel);
            
            DocumentGenerationResult result = dg.GenerateDocument(template, document);
            
            if (result.HasErrors)
            {
                foreach (Error error in result.Errors)
                {
                    Debug.WriteLine(error);
                }
            }
            else
            {
                Process.Start(document);
            }
        }


    }
}
